package com.jiayue.ipfcst.common.data.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 预测模型枚举
 *
 * @author zzy
 * @version 1.0
 * @since 2019/9/27 9:39
 */
@Getter
@AllArgsConstructor
public enum PredictionModelEnum {
	// 云端预测结果
	E1(1, "云端模型"),
	// 本地物理模型
	E2(2, "物理模型"),
	// 本地统计模型
	E3(3, "统计模型"),
	// 本地补录数据
	E4(4, "补录数据"),
	// 本地差值模型
	E5(5, "差值模型"),
	// 人工干预模型
	E6(6, "干预模型"),
	// 上下限修正
	E7(7, "上下限修正"),
	// 更新短期
	E8(8, "更新短期"),
	// 短期乘系数
	E9(9, "短期乘系数"),
	// 人工干预系数
	E10(10, "干预系数模型"),

	E11(11,"一体化修正形");
	private Integer code;
	private String message;
}
